# Clean Taxonomy

Sometimes when working with large database generated sites, or
administrating large user-generated content sites you can end
up with hundreds of empty taxonomy terms and tags.

This is a very simple little module that will check all terms
to see if they currently have any nodes mapped to them.

It will display all the taxonomy terms in Table and provide info
related to Vocabulary and Nodes attached. It also provides option
such as Edit,Delete and Replace a taxonomy term.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/cleantaxonomy).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/cleantaxonomy).


## Table of contents

- Requirements
- Installation
- Configuration
- Usage
- Maintainers


## Requirements

This module doesn't require any module outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

There is no configuration. When enabled, the module can be used to
view, delete and replace taxonomy terms.


## Usage

1. After installing the module, go to menu link /admin/structure
   /cleantaxonomy/settings.
2. It displays all the taxonomy terms of the website and provides
   operation such as view,delete,replace.
3. Also you can use drush to replace the taxonomy terms. For replacing
   taxonomy terms the command is: `drush ct-replace $term1 $term2`.


## Maintainers

- Gaurav Kapoor - [gaurav.kapoor](https://www.drupal.org/u/gauravkapoor)
- Anmol Goel - [anmolgoyal74](https://www.drupal.org/u/anmolgoyal74)
- Meenakshi Gupta - [MeenakshiG](https://www.drupal.org/u/meenakshig)
- Pritish Kumar - [pritish.kumar](https://www.drupal.org/u/pritishkumar)

**Supporting organizations:**
- [OpenSense Labs](https://www.drupal.org/opensense-labs)
